Subject: debug nonsense, and the 'd' bit.

From: [email-masked] (Jackie Hamilton)
Date: Sat, 30 Jan 1993 06:41:23 -0800

Well, I dont know what all the complaining about a debug mode
is about.  Ever heard of the 'd' bit on verbs?  Gives you a
nice traceback and the *exact* line where your program bombed.
I've done enough MOO code to tell almost instantly what the problem
is, and if I can't see it right off, a few print statements usually
clear it up.

I'd not be happy at all about yet another nifty feature to slow
down the MOO, which I'd lay odds debug mode *would*.  Perhaps the
folks at Lambda actually LIKE having 5 seconds of lag when typing
in every command?  Lets get even more ridiculous and go to 10-20 
seconds.  

Altho I guess when MOO goes diskbased we wont have a choice.  Think
I'll keep an old copy archived somewhere safe so I can stay with
a RAM-based version.  Personally, I like it fast.

Just my 2c worth.

-j.